Home

Get a specific pending transaction.

GET
https://algo.nownodes.io/v2/transactions/pending/{txid}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given a transaction ID of a recently submitted transaction, it returns information about it. There are several cases when this might succeed:

  • transaction committed (committed round > 0)
  • transaction still in the pool (committed round = 0, pool error = "")
  • transaction removed from pool due to error (committed round = 0, pool error != "") Or the transaction may have happened sufficiently long ago that the node no longer remembers it, and this will return an error.

Parameters

txidstringrequiredpath

A transaction ID

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

Response

200OK

Given a transaction ID of a recently submitted transaction, it returns information about it. There are several cases when this might succeed:

  • transaction committed (committed round > 0)
  • transaction still in the pool (committed round = 0, pool error = "")
  • transaction removed from pool due to error (committed round = 0, pool error != "")

Or the transaction may have happened sufficiently long ago that the node no longer remembers it, and this will return an error.

400Bad Request

Bad Request

401Unauthorized

Invalid API Token

404Not Found

Transaction Not Found

default

Unknown Error